<?php

?>
<?php
	$MONEDA="USD";


	function phone_format($num) {
		#http://www.eyesis.ca/projects/formatphone.html
		$num=str_replace(' ','',$num);
		$num = preg_replace('[^0-9]', '', $num);
		$len = strlen($num);
		if($len == 7)
			$num = preg_replace('/([0-9]{3})([0-9]{4})/', '$1-$2', $num);
		elseif($len == 10)
			$num = preg_replace('/([0-9]{3})([0-9]{3})([0-9]{4})/', '($1) $2-$3', $num);
	
		return $num; 
	}
	function in_arrayi($needle, $haystack) {
		return in_array(strtolower($needle), array_map('strtolower', $haystack));
	}
	
	function print_if($cond,$true,$false) {
		if ($cond) {
			print $true;
		} else {
			print $false;
		}
	}
	function hora_format($mydatetime) {
			$hora_array=explode(" ",$mydatetime);
			if (sizeof($hora_array)>1) {
				$hora=$hora_array[1];
			} else {
				$hora=$hora_array[0];
			}
			$hora=substr($hora,0,5);
			return $hora;
		}
		function mes($mes) {
		switch ($mes) {
			case 1: return "Enero";
			case 2: return "Febrero";
			case 3: return "Marzo";
			case 4: return "Abril";
			case 5: return "Mayo";
			case 6: return "Junio";
			case 7: return "Julio";
			case 8: return "Agosto";
			case 9: return "Septiembre";
			case 10: return "Octubre";
			case 11: return "Noviembre";
			case 12: return "Diciembre";	
		}
	}
	function dia_de_la_semana($dia) {
		switch ($dia) {
			case 0: return "Domingo";
			case 1: return "Lunes";
			case 2: return "Martes";
			case 3: return "Miercoles";
			case 4: return "Jueves";
			case 5: return "Viernes";
			case 6: return "Sabado";
		}
	}
	
	function currency_format($number,$decimal=0,$currency="") {
		return '$'.number_format($number,$decimal)." $currency";
	}
	function pct_format($number) {
		return 100*$number."%";
	}
	function mydate_format($mysqldate) {
		global $IDIOMA;
		if ($mysqldate=="") {
			return ;
		}
		$time=strtotime($mysqldate);
		$dia_de_la_semana=date("w",$time);
		$dia_de_la_semana=dia_de_la_semana($dia_de_la_semana);
		$dia_de_la_semana=substr($dia_de_la_semana,0,3);
		$mes=date("n",$time);
		$mes=mes($mes);
		$mes=substr($mes,0,3);
		$datetime="$dia_de_la_semana, $mes ".date("d Y",$time);
		if ($IDIOMA=="en") {
			$datetime=date("D, M d Y");
		}
		return $datetime;
	}
	function mymonth_format($mysqldate) {
		global $IDIOMA;
		if ($mysqldate=="") {
			return ;
		}
		$time=strtotime($mysqldate);
		
		$mes=date("n",$time);
		$mes=mes($mes);
		$mes=substr($mes,0,3);
		$datetime="$mes ".date("Y",$time);
		if ($IDIOMA=="en") {
			$datetime=date("M Y");
		}
		return $datetime;
	}
	function small_date($mysqldate) {
		if ($mysqldate=="") {
			return ;
		}
		$time=strtotime($mysqldate);
		$dia_de_la_semana=date("w",$time);
		$dia_de_la_semana=dia_de_la_semana($dia_de_la_semana);
		$dia_de_la_semana=substr($dia_de_la_semana,0,3);
		$mes=date("n",$time);
		$mes=mes($mes);
		$mes=substr($mes,0,3);
		$datetime="$mes ".date("d, Y",$time);
		return $datetime;
	}
	function time_format($mysqldate,$ap=false) {
		if ($mysqldate=="") {
			return ;
		}
		$time=strtotime($mysqldate);
		if ($ap) {
			$datetime=date("g:i A",$time);
		} else {
			$datetime=date("H:i",$time);
		}
		
		return $datetime;
	}

	function fit($text,$words=8) {
		$array=array();
		$array=explode(" ",$text);
		$array2=array_slice($array,0,$words);
		$fit=implode(" ",$array2);
		if (sizeof($array2)<sizeof($array)) $fit.="...";
		return $fit;
	}
	function remove_argument($argument,$query_string) {
		$query_array=array();
		$query_array2=array();
		$query_array=explode("&",$query_string);
		foreach ($query_array as $query_item) {
			$argument_array=explode("=",$query_item);
			#$pos=strpos($query_item,$argument);
			#if ($pos===false) {
			if ($argument_array[0]!=$argument) {
				array_push($query_array2,$query_item);
			}
		}
		$query_string2=implode("&",$query_array2);
		return $query_string2;
	}
	function post_query($query_string,$decode=false) {
		$query_array=array();
		$query_array=explode("&",$query_string);
		foreach ($query_array as $query_item) {
			$argument_array=explode("=",$query_item);
			if ($decode) {
				$argument_array[1]=urldecode($argument_array[1]);
			}
			$post_query.='<input type="hidden" name="'.$argument_array[0].'" value="'.$argument_array[1].'">';
		}
		return $post_query;
	}
	function post_to_query($post,$exclude=array(),$encoded=false) {
		$get=array();
		foreach($post as $key=>$value) {
			$value.="";
			if (!in_array($key,$exclude) and trim($value)!="" )
				if (is_array($value)) {
					foreach ($value as $value_item) {
						if ($encoded) {
							array_push($get,"$key"."[]=".urlencode($value_item));
						} else {
						array_push($get,"$key"."[]=".urldecode($value_item));
						}
					}
				} else {
					if ($encoded) {
						array_push($get,"$key=".urlencode($value));
					} else {
						array_push($get,"$key=".urldecode($value));
					}
				}
		}
		$query_string=implode("&",$get);
		return $query_string;
	}
	function query_to_post($query) {
		$post=array();
		$query_array=explode("&",$query);
	
		foreach($query_array as $key=>$value) {
			$pair=explode("=",$value);
			$post[$pair[0]]=$pair[1];
		}
		return $post;
	}
	function makeRows($array,$n=3) { #n: numero de columnas
		$rows=array();
		$cols=array();
		$i=0;
		$j=0;
		foreach($array as $item) {
			$cols[++$i]=$item;
			$rows[$j]=$cols;
			if ($i>=$n) { $i=0; $j++; $cols=array();}
		}
		return $rows;
	}

	
	function html_format($text) {
		$text=str_replace("\r\n","\n",$text);
		$text=str_replace(array("\n","\r"),"<br />",$text);
		return $text;
	}
	function scatter($words,$sizes,$colors) {
		$array=array();
		$number=sizeof($words);
		shuffle($words); 
		for ($i=1;$i<=$number;$i++) {
			
			$word=array_shift($words);
			shuffle($sizes);  $size=$sizes[0];
			shuffle($colors); $color=$colors[0];
			$sword="<span style=\"font-size:$size; color:$color;\">$word</span>";
			array_push($array,$sword);
		}
		return $array;
	}
	
	function group ($number,$size=50) {
		$x=floor($number/$size);
		$group="A";
		for ($i=1;$i<$x;$i++)
			$group++;
		return $group;
	}
	function mystrtolower($string) {
		$mayusculas=array("�","�","�","�","�","�","�");
		$minusculas=array("�","�","�","�","�","�","�");
		$string=str_replace($mayusculas,$minusculas,$string);
		$string=strtolower($string);
		return $string;
	}
	function xml2array($xml) {
        $xmlary = array();
               
        $reels = '/<(\w+)\s*([^\/>]*)\s*(?:\/>|>(.*)<\/\s*\\1\s*>)/s';
        $reattrs = '/(\w+)=(?:"|\')([^"\']*)(:?"|\')/';

        preg_match_all($reels, $xml, $elements);

        foreach ($elements[1] as $ie => $xx) {
                $xmlary[$ie]["name"] = $elements[1][$ie];
               
                if ($attributes = trim($elements[2][$ie])) {
                        preg_match_all($reattrs, $attributes, $att);
                        foreach ($att[1] as $ia => $xx)
                                $xmlary[$ie]["attributes"][$att[1][$ia]] = $att[2][$ia];
                }

                $cdend = strpos($elements[3][$ie], "<");
                if ($cdend > 0) {
                        $xmlary[$ie]["text"] = substr($elements[3][$ie], 0, $cdend - 1);
                }

                if (preg_match($reels, $elements[3][$ie]))
                        $xmlary[$ie]["elements"] = xml2array($elements[3][$ie]);
                else if ($elements[3][$ie]) {
                        $xmlary[$ie]["text"] = $elements[3][$ie];
                }
        }
		
		return $xmlary;
}
function re_xml2array(&$array) {
	#Quito, Oct 15, 2009
	#re-strucrues xml2array to a more friendly array.
	$array2=array();
	if (!is_array($array)) return false;
	foreach ($array as $key=>$values) { 
		$values[name]=strtoupper($values[name]);
		if (is_array($values[elements])) {
			$array2[$values[name]]=re_xml2array($values[elements]);
		} else {
			$array2[$values[name]]=$values[text];		
		}
	}
	return $array2;
}
function xml2array2(&$xml) {
	$array=xml2array($xml);
	$array2=re_xml2array($array);
	return $array2;
}#
	function list_format($mix) {
		$list=str_replace(array(",",";"),", ",$mix);
		return $list;
	}#
	
	function unique($size) {
		$string="";
		for ($i=1;$i<=$size;$i++) {
			$string.=chr(rand(48,57));
		}	
		return $string;
	}
	function dof() {
	$dof=array();
		// Make sure SimplePie is included. You may need to change this to match the location of simplepie.inc.
		include_once('../lib/_simplepie.inc');
		// We'll process this feed with all of the default options.
		$feed = new SimplePie();
		// Set which feed to process.
		$feed->set_feed_url('http://dof.gob.mx/indicadores.xml');
		// Run SimplePie.
		$feed->init();
		// This makes sure that the content is sent to the browser as text/html and the UTF-8 character set (since we didn't change it).
		$feed->handle_content_type();
		// Let's begin our XHTML webpage code.  The DOCTYPE is supposed to be the very first thing, so we'll keep it on the same line as the closing-PHP tag.
		foreach ($feed->get_items() as $item) {
			if ($item->get_title()=="DOLAR") {
				$dof["DOLAR"]=$item->get_description();
				$dof["FECHA"]=$item->get_date('Y-m-d');
				if ($dof["FECHA"]<'1970-01-01') $dof["FECHA"]=date("Y-m-d");
				return $dof;
			}		
		}		
	}
	function to_html($text,$br='<br />') {
		$text=str_replace(array("\r\n", "\n", "\r"),$br,$text);
		return $text;
	}
	function mem_format($bytes) {
		$units="B";
		if ($bytes>1024) { $bytes/=1024; $units="K";}
		if ($bytes>1024*1024) { $bytes/=1024*1024; $units="M";}
		$bytes=round($bytes,0);
		return $bytes."".$units;
	}
	function file_ext($filename,$case="") {
		$out_array=explode(".",$filename);
		$extension=array_pop($out_array);
		if ($case=="upper" or $case=="u") $extension=strtoupper($extension);
		if ($case=="lower" or $case=="l") $extension=strtolower($extension);
		return $extension;
	}
	function file_allowed($file,$exception=''){
	$allowed_extensions = array("txt","csv","htm","html","xml","css","doc","xls","rtf","ppt","pdf","swf","flv","avi","wmv","mov","jpg","jpeg","gif","png","tif","tiff","bmp","ai","psd","aid","eps","zip","gz","tgz","tar","sit","rar");
	if($exception) array_push($allowed_extensions, $exception);
	
	if(!in_array(end(explode(".", strtolower($file))),$allowed_extensions)) return false;
    else return true;
}

function rand_key($len=8){
 
	/* Make a random pass. */
 
	$chars = "abcdefghijkmnOPQRSTWXYZopqrstuvwxyzABCDEFGHKLMN0123456789";
	$count = strlen($chars);
	while($len--){
		$pass .= substr($chars,mt_rand()%$count,1);
		}
	return $pass;
}
function wild_format($keywords,$delimiter=' ',$wildcard='*',$min_chars=4) {
	$wild_array=array();
	$keyword_array=explode($delimiter,$keywords);
	foreach ($keyword_array as $keyword_item) {
		$keyword_item=trim($keyword_item);
		$keyword_len=strlen($keyword_item);
		if (substr(strtolower($keyword_item),-2)=='es') $keyword_item=substr(strtolower($keyword_item),0,-2);
		elseif (substr(strtolower($keyword_item),-1)=='s') $keyword_item=substr(strtolower($keyword_item),0,-1);
		if ($keyword_len>=$min_chars) {		
			$keyword_item.="*";
		}
		if ($keyword_item) {
			array_push($wild_array,$keyword_item);
		}
	}
	$wild_format=implode($delimiter,$wild_array);
	return $wild_format;
}
function array_trim($array) {
	$array2=array();
	foreach ($array as $item) {
		$item=trim($item);
		array_push($array2,$item);
	}
	return $array2;
}
function checkEmail($email) {
  if(preg_match("/^([a-zA-Z0-9])+([a-zA-Z0-9\._-])*@([a-zA-Z0-9_-])+([a-zA-Z0-9\._-]+)+$/",
               $email)){
   // list($username,$domain)=split('@',$email);
   // if(!checkdnsrr($domain,'MX')) {
   //   return false;
   // }
    return true;
  }
  return false;
}

function array_remove($element,&$array) {
	if (!is_array($array)) return false;
	$pos=array_search($element,$array);
	if ($pos>=0) unset($array[$pos]);
}

function extractid($text) {
	$array=explode("(",$text);
	if (sizeof($array)<2) return false;
	$array2=explode(")",$array[1]);
	return $array2[0];
}
?>