<?php

?>
<?php
# funciones de numero a letra
function unidades($numero) {
	switch ($numero) {
		case 0: return "";
		case 1: return "uno";
		case 2: return "dos";
		case 3: return "tr�s";
		case 4: return "cuatro";
		case 5: return "cinco";
		case 6: return "s�is";
		case 7: return "siete";
		case 8: return "ocho";
		case 9: return "nueve";
	}
}
function dieces($numero) {
	switch ($numero) {
		case 10: return "diez";
		case 11: return "once";
		case 12: return "doce";
		case 13: return "trece";
		case 14: return "catorce";
		case 15: return "quince";
		case 16: return "diecis�is";
		case 17: return "diecisiete";
		case 18: return "dieciocho";
		case 19: return "diecinueve";
	}
}
function veintes($numero) {
	switch ($numero) {
		case 20: return "veinte";
		case 21: return "veintiuno";
		case 22: return "veintidos";
		case 23: return "veintitr�s";
		case 24: return "veinticuatro";
		case 25: return "veinticinco";
		case 26: return "veintiseis";
		case 27: return "veintisiete";
		case 28: return "veintiocho";
		case 29: return "veintinueve";
	}
}
function decenas($numero) {
	switch ($numero) {		
		case 3: return "treinta";
		case 4: return "cuarenta";
		case 5: return "cincuenta";
		case 6: return "sesenta";
		case 7: return "setenta";
		case 8: return "ochenta";
		case 9: return "noventa";
	}
}
function centenas($numero) {
	switch ($numero) {
		case 0: return "";
		case 1: return "ciento";
		case 2: return "doscientos";
		case 3: return "trescientos";
		case 4: return "cuatrocientos";
		case 5: return "quinientos";
		case 6: return "seiscientos";
		case 7: return "setecientos";
		case 8: return "ochocientos";
		case 9: return "novecientos";
	}
}
function mi_moneda($moneda) {
	switch ($moneda) {
		case "m.n.": return "pesos";
		case "dlls": return "d�lares";
	}
}
function mi_moneda2($moneda) {
	switch ($moneda) {
		case "m.n.": return "m.n.";
		case "dlls": return "m.a.";
	}
}
function bloque ($bloque) {
	$bloque.="";
	if ($bloque<10) {
		return unidades($bloque);
	}
	if ($bloque>=10 and $bloque<20) {
		return dieces($bloque);
	}
	if ($bloque>=20 and $bloque<30) {
		return veintes($bloque);
	}
	if ($bloque>=30 and $bloque<100) {
		if ($bloque{1}==0) {
			return decenas($bloque{0})." ".unidades($bloque{1});
		} else {			
			return decenas($bloque{0})." y ".unidades($bloque{1});
		}
	}
	if ($bloque==100) {
		return "cien";
	}
	if ($bloque>100 and $bloque<1000) {
		return centenas($bloque{0})." ".bloque($bloque{1}.$bloque{2});
	}
	if ($bloque>=1000 and $bloque<2000) {
		return "mil ".bloque(abs(substr($bloque,-3)));
	}
	if ($bloque>=2000 and $bloque<10000) {
		return bloque(substr($bloque,0,1))." mil ".bloque(abs(substr($bloque,-3)));
	}
	if ($bloque>=10000 and $bloque<100000) {
		return bloque(substr($bloque,0,2))." mil ".bloque(abs(substr($bloque,-3)));
	}
	if ($bloque>=100000 and $bloque<1000000) {
		return bloque(substr($bloque,0,3))." mil ".bloque(abs(substr($bloque,-3)));
	}
	if ($bloque>=1000000 and $bloque<2000000) {
		return "un mill�n ".bloque(abs(substr($bloque,-6)));
	}	
	if ($bloque>=2000000 and $bloque<10000000) {
		return bloque(substr($bloque,0,1))." millones ".bloque(abs(substr($bloque,-6)));
	}	
	if ($bloque>=10000000 and $bloque<100000000) {
		return bloque(substr($bloque,0,2))." millones ".bloque(abs(substr($bloque,-6)));
	}		
}
function to_letra($numero,$moneda) {
	$moneda=mi_moneda($moneda);
	$decimales=round(100*($numero-floor($numero)));
	$decimales=before($decimales,"0",2);
	$numero=floor($numero);
	if ($numero==0) {
		$bloque="cero";
	} else {
		$bloque=bloque($numero);
	}
		$letra=$bloque." ".$moneda." ".$decimales."/100";
	return $letra;
}
#fin de grupo de funciones
?>